Bug 203398 - www/lighttpd: enable support for extended attributes
Summary: www/lighttpd: enable support for extended attributes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2015-09-27 20:30 UTC by Moritz Wilhelmy
Modified: 2016-01-16 15:31 UTC (History)
2 users (show)

See Also:
pkubaj: maintainer-feedback+


Attachments
attr patch (857 bytes, patch)
2015-09-28 11:43 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Wilhelmy 2015-09-27 20:30:28 UTC
I wrote a patch for the extattr* API based on the linux specific code for extended attributes. The patch has meanwhile made it into upstream and has been released as part of 1.4.36. Please provide an option to enable --with-attr in configure or make it the default (it's not actually enabled until you explicitely do so in the config file).
Comment 1 Piotr Kubaj freebsd_committer 2015-09-28 11:43:20 UTC
Created attachment 161485 [details]
attr patch
Comment 2 Piotr Kubaj freebsd_committer 2015-09-28 11:44:30 UTC
Thanks, I've tested tested that it builds and runs. Since the developers didn't set it on by default, I also left it off. The diff is attached.
Comment 3 commit-hook freebsd_committer 2016-01-16 08:18:20 UTC
A commit references this bug:

Author: miwi
Date: Sat Jan 16 08:17:58 UTC 2016
New revision: 406198
URL: https://svnweb.freebsd.org/changeset/ports/406198

Log:
  - Add support for extended attributes
  - While here pet portlint
  - Bump PORTREVISION

  PR:		203398
  Submitted by:	 Moritz Wilhelmy
  Approved by:	maintainer

Changes:
  head/www/lighttpd/Makefile